Check Server Status
2/26/26Less than 1 minute
Check Server Status
Get the current running status of AegisSpeed server.
Endpoint: GET /test/check_server_state
Request Parameters
None
Response Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| status | int | Yes | HTTP status code |
| server_state | string | Yes | Server running status |
Success Response Example
{
"status": 200,
"server_state": "running"
}Error Response Example
{
"status": 403,
"server_state": "Server has not opened this endpoint"
}Response Status Code Description
| HTTP Status Code | Description |
|---|---|
| 200 | Server is running normally |
| 403 | Endpoint not open |
Tip
This endpoint is used to detect if the server is running normally. It is recommended to confirm the server status before calling other endpoints.
← Back to API Documentation | → Check Server Status (Developer Mode